#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xFD,0xDA,0x2B,0x16,0x18,0x76,0xCF,0x96,0x36,0x79,0xD0,0xFB,
		0x17,0x46,0xA1,0xA4,0xB2,0x88,0x8C,0xA2,0x0B,0xBB,0x55,0x3E,
		0x6F,0xCE,0x62,0x1F,0xA3,0xE7,0xE2,0xAD,0x00,0x8D,0xF5,0x1E,
		0xB2,0xF1,0xEC,0x11,0x92,0xF2,0x11,0x3C,0xD2,0x4B,0x0D,0xEF,
		0xE3,0x0B,0x77,0x29,0x7D,0x0A,0x71,0x65,0x8E,0xCE,0xAB,0xD7,
		0x7C,0x16,0x73,0x13,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
